<!--
  Generated template for the DetailTransaksiPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="2primary">
    <ion-title>{{ pt }}</ion-title>
  </ion-navbar>
</ion-header>


<ion-content padding>
<!-- ====HEADER DETAIL==== -->
  <div class="detailHeader" *ngIf="transaksiTab == 'pt'">
    <ion-grid>
      <ion-row *ngIf="status == 'pesanan' || status == 'ditolak'">
        <ion-col><h3>Tanggal</h3></ion-col>
        <ion-col><ion-note>{{ tanggalTransaksi }}</ion-note></ion-col>
      </ion-row>
      <ion-row *ngIf="status == 'pesanan'|| status == 'ditolak'">
        <ion-col><h3>No. Order: </h3></ion-col>
        <ion-col><ion-note>{{ this.id }}</ion-note></ion-col>
      </ion-row>

      <div class="pesananDikirim" *ngIf="status == 'dikirim' || status == 'terkirim'">
        <ion-row>
          <ion-col><h3>Tanggal PO: </h3></ion-col>
          <ion-col><ion-note>{{ tanggalTransaksi }}</ion-note></ion-col>
        </ion-row>
          <ion-row>
          <ion-col><h3>No. PO</h3></ion-col>
          <ion-col><ion-note>{{  this.id }}</ion-note></ion-col>
        </ion-row>
        <ion-row>
          <!-- f9 -->
          <ion-col><h3>Tanggal kirim: </h3></ion-col> 
          <ion-col><ion-note>{{ tglKirim }}</ion-note></ion-col>
        </ion-row>
        <ion-row>
          <!-- f10 -->
          <ion-col><h3>No. Surat jalan: </h3></ion-col>
          <ion-col><ion-note>{{ noSuratJalan }}</ion-note></ion-col>
        </ion-row>
        <ion-row>
            <!-- f11 -->
            <ion-col><h3>No. SO: </h3></ion-col>
            <ion-col><ion-note>{{ noSo }}</ion-note></ion-col>
        </ion-row>

        <ion-row *ngIf="status == 'terkirim'">
          <!-- f11 -->
          <ion-col><h3>No. Invoice: </h3></ion-col>
          <ion-col><ion-note>{{ noInvoice }}</ion-note></ion-col>
        </ion-row>
      </div>
    </ion-grid>
  </div>

  <div class="detailHeader" *ngIf="transaksiTab == 'distributor'">
    <ion-grid>
      <ion-row>
        <ion-col><h3>Tanggal</h3></ion-col>
        <ion-col><ion-note>{{ tanggalTransaksi }}</ion-note></ion-col>
      </ion-row>
      <ion-row>
        <ion-col><h3>No. Order: </h3></ion-col>
        <ion-col><ion-note>{{ this.id }}</ion-note></ion-col>
      </ion-row>
    </ion-grid>
  </div>
<!-- ===================== -->

<!-- ====CONTENT DETAIL==== -->
  <div class="tablePesanan">
    <ion-grid>
      <ol>

        <ion-row *ngFor = "let y of order">
           <ion-col col-6>
              <li>{{ y.prodname }}</li>
          </ion-col>
          <ion-col col-6>
            <p text-right class="box"><b>{{ y.qty }} box</b></p>
          </ion-col> 
        </ion-row>

      </ol>
    </ion-grid>
  </div>
<!-- ====================== -->

<!-- ====HITUNG TOTAL BOX==== -->
  <div class="total">
    <ion-grid>
      <ion-row>
        <ion-col col-6>
          <h3><b>Total</b></h3>
        </ion-col>
        <ion-col col-6>
          <h3 text-right><b>{{ totalBox }} box</b></h3>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>
<!-- ======================== -->

<!-- ====CATATAN==== -->
  <!--  -->
  <div class="catatan" *ngIf="transaksiTab != 'distributor' && segmentvalidasi != 'agronomis&FA(6)@gmail.com' && segmentvalidasi != 'agronomis&FA(7)@gmail.com'">
    <h3>Catatan:</h3>
    <ion-note *ngIf="status != 'pesanan' && transaksiTab == 'pt'">{{ catatan }}</ion-note>

  <!-- ==================FORM PESANAN DALAM PROSES===================== -->
    <form *ngIf="status == 'pesanan' && transaksiTab == 'pt'" [formGroup]="catatanForm">
      <ion-textarea formControlName = "catatan"></ion-textarea>
      <div class="buttonPesananDitolak">
        <i *ngIf="noteValidator == true">*tambahkan catatan jika "pesanan ditolak"</i>
      </div>

      <ion-grid>
        <ion-row>
          <ion-col col-6>
             <button ion-button color="buttonPesan" block (click)="buttonPesananDiterima(catatanForm)">Pesanan diterima</button>
          </ion-col>
          <ion-col col-6>
            <!-- (click)="buttonPesananDitolak(catatanForm)" -->
            <button ion-button color="danger" block (click)="buttonPesananDitolak(catatanForm)">Pesanan ditolak</button>
          </ion-col>
        </ion-row>
      </ion-grid>
    </form>
  <!-- ==================================================================-->
  </div>
<!-- =============== -->
</ion-content>
